<?php
session_start();
ob_start();
include_once("../dbconnect.php");
function createthumb($name, $newname, $new_w, $new_h, $border=false, $transparency=true, $base64=false) {
    if(file_exists($newname))
        @unlink($newname);
    if(!file_exists($name))
        return false;
    $arr = split("\.",$name);
    $ext = $arr[count($arr)-1];

    if($ext=="jpeg" || $ext=="jpg" || $ext=="JPEG" || $ext=="JPG"){
        $img = @imagecreatefromjpeg($name);
    } elseif($ext=="png"){
        $img = @imagecreatefrompng($name);
    } elseif($ext=="gif") {
        $img = @imagecreatefromgif($name);
    }
    if(!$img)
        return false;
    $old_x = imageSX($img);
    $old_y = imageSY($img);
	$thumb_w = $new_w;
    $thumb_h = $new_h;
  
    $thumb_w = ($thumb_w<1) ? 1 : $thumb_w;
    $thumb_h = ($thumb_h<1) ? 1 : $thumb_h;
    $new_img = ImageCreateTrueColor($thumb_w, $thumb_h);
   
    if($transparency) {
        if($ext=="png") {
            imagealphablending($new_img, false);
            $colorTransparent = imagecolorallocatealpha($new_img, 0, 0, 0, 127);
            imagefill($new_img, 0, 0, $colorTransparent);
            imagesavealpha($new_img, true);
        } elseif($ext=="gif") {
            $trnprt_indx = imagecolortransparent($img);
            if ($trnprt_indx >= 0) {
                //its transparent
                $trnprt_color = imagecolorsforindex($img, $trnprt_indx);
                $trnprt_indx = imagecolorallocate($new_img, $trnprt_color['red'], $trnprt_color['green'], $trnprt_color['blue']);
                imagefill($new_img, 0, 0, $trnprt_indx);
                imagecolortransparent($new_img, $trnprt_indx);
            }
        }
    } else {
        Imagefill($new_img, 0, 0, imagecolorallocate($new_img, 255, 255, 255));
    }
   
    imagecopyresampled($new_img, $img, 0,0,0,0, $thumb_w, $thumb_h, $old_x, $old_y);
    if($border) {
        $black = imagecolorallocate($new_img, 0, 0, 0);
        imagerectangle($new_img,0,0, $thumb_w, $thumb_h, $black);
    }
    if($base64) {
        ob_start();
        imagepng($new_img);
        $img = ob_get_contents();
        ob_end_clean();
        $return = base64_encode($img);
    } else {
        if($ext=="jpeg" || $ext=="jpg" || $ext=="JPEG" || $ext=="JPG"){
            imagejpeg($new_img, $newname);
            $return = true;
        } elseif($ext=="png"){
            imagepng($new_img, $newname);
            $return = true;
        } elseif($ext=="gif") {
            imagegif($new_img, $newname);
            $return = true;
        }
    }
    imagedestroy($new_img);
    imagedestroy($img);
    return $return;
}
$action = isset($_GET['action']) ? $_GET['action'] : '';
 switch ($action) {
	 

	
    case 'add' :
        add();
        break;
    case 'delete' :
        delete();
        break;	
		
	    case 'edit' :
	     edit();
         break;
		
 
		
default :
        // if action is not defined or unknown
        // move to main category page
        header('Location: welcomepage.php');
		
}
function add()
{

	mysql_query("insert into editphotos(g_id,image,data,price) values('".$_POST['cid']."','".$_FILES['image']['name']."','".$_POST['data']."','".$_POST['price']."')");
	 $lastid=mysql_insert_id();
	
			$ftmp = $_FILES['image']['tmp_name'];
            $oname = $_FILES['image']['name'];
            $fname = '../gallery/waste/'.$_FILES['image']['name'];
			$userfile_type = $_FILES['image']['type'];
            
            $sizes = getimagesize($ftmp);
            $width	=	$sizes[0];
            $height	=	$sizes[1];
    
            $extenssion = strstr($oname, ".");
        
            $prod_img		= $fname;	
            move_uploaded_file($ftmp, $prod_img);
			
			createthumb($fname, "../gallery/thumb/".$lastid.".jpg", 250,250,false, true, false); 
			createthumb($fname, "../gallery/big/".$lastid.".jpg", 500,400,false, true, false); 
unlink('../gallery/waste/'.$_FILES['image']['name']);
header("location:gallery.php?g_id=".$_POST['cid']);
}
function delete()
{
	mysql_query("delete from editphotos where p_id='".$_GET['pid']."'");
	header("location:gallery.php?g_id=".$_GET['g_id']);
}

function edit()
{mysql_query("update editphotos set g_id='".$_POST['cid']."', image='".$_FILES['image']['name']."', data='".$_POST['data']."',price='".$_POST['price']."' where p_id='".$_POST['pid']."'");
if($_FILES['image']['name']!=""){
	$lastid=$_POST['pid'];
	
			$ftmp = $_FILES['image']['tmp_name'];
            $oname = $_FILES['image']['name'];
            $fname = '../gallery/waste/'.$_FILES['image']['name'];
			$userfile_type = $_FILES['image']['type'];
            
            $sizes = getimagesize($ftmp);
            $width	=	$sizes[0];
            $height	=	$sizes[1];
    
            $extenssion = strstr($oname, ".");
        
            $prod_img		= $fname;	
            move_uploaded_file($ftmp, $prod_img);
			
			 
			createthumb($fname, "../gallery/".$lastid.".jpg", 90,90,false, true, false); 
unlink('../gallery/waste/'.$lastid.".jpg");
}
header("location:gallery.php?g_id=".$_POST['cid']);
}
?>